package cn.datax.service.quartz.service;

import cn.datax.service.quartz.api.entity.QrtzJobLogEntity;
import cn.datax.service.quartz.api.dto.QrtzJobLogDto;
import cn.datax.common.base.BaseService;
import cn.datax.service.quartz.api.vo.QrtzJobLogVo;

/**
 * <p>
 * 定时任务日志信息表 服务类
 * </p>
 *
 * @author yuwei
 * @since 2020-05-14
 */
public interface QrtzJobLogService extends BaseService<QrtzJobLogEntity> {

    void saveQrtzJobLog(QrtzJobLogDto qrtzJobLog);

    void updateQrtzJobLog(QrtzJobLogDto qrtzJobLog);

    QrtzJobLogVo getQrtzJobLogById(String id);

    void deleteQrtzJobLogById(String id);
}
